<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- autotest-module.qdoc -->
  <title>autotest QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">autotest QML Type</h1>
<span class="subtitle"></span>
<!-- $$$autotest-brief -->
<p>Allows to fine-tune autotest execution. <a href="#details">More...</a></p>
<!-- @@@autotest -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.13</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-autotest-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-autotest.html#allowFailure-prop">allowFailure</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-autotest.html#arguments-prop">arguments</a></b></b> : stringList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-autotest.html#workingDir-prop">workingDir</a></b></b> : string</li>
</ul>
<!-- $$$autotest-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>autotest</code> module provides properties that allow autotest applications to specify how exactly they should be run.</p>
<!-- @@@autotest -->
<h2>Property Documentation</h2>
<!-- $$$allowFailure -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="allowFailure-prop">
<td class="tblQmlPropNode"><p>
<span class="name">allowFailure</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Autotests for which this property is <code>true</code> can return a non-zero exit code without causing the entire <a href="qml-qbsconvenienceitems-autotestrunner.html">AutotestRunner</a> to fail. Use this for tests that are known to be unreliable.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@allowFailure -->
<br/>
<!-- $$$arguments -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="arguments-prop">
<td class="tblQmlPropNode"><p>
<span class="name">arguments</span> : <span class="type">stringList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The list of arguments to invoke the autotest with. If not specified, then the <a href="qml-qbsconvenienceitems-autotestrunner.html#arguments-prop">arguments</a> property of the <a href="qml-qbsconvenienceitems-autotestrunner.html">AutotestRunner</a> that invokes the autotest is used.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@arguments -->
<br/>
<!-- $$$workingDir -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="workingDir-prop">
<td class="tblQmlPropNode"><p>
<span class="name">workingDir</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The working directory for running the autotest. If not specified, then the <a href="qml-qbsconvenienceitems-autotestrunner.html#workingDir-prop">workingDir</a> property of the <a href="qml-qbsconvenienceitems-autotestrunner.html">AutotestRunner</a> that invokes the autotest is used.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@workingDir -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
